Subject: Re: How do I make scripts my PC executable
From: Steve Holden <[email-masked]>
To: [email-masked]
Date: Thu, 30 Aug 2007 00:23:09 -0400
Newsgroups: gmane.os.cygwin
List-Id: <cygwin.cygwin.com>

David Christensen wrote:
> zip184 wrote:
>> I have some scripts I'd like to run without starting cygwin and
>> typing in their paths.  Is there a way to make windows recognize that
>> a file is a bash/python script and run them like as if I ran them in
>> cygwin?  I'd like to just be able to doubleclick them in windows
>> explorer.  Is this possible? (I'm using bash and python scripts)
> 
> I have a series of Cygwin Bash and Perl scripts for backing up my machines.  I
> develop/debug them interactively using Cygwin Bash shells.  Once everything
> works, I light them off using a shortcut pointing to a batch file that fires up
> Cygwin Bash and tells it to process the top-level Bash shell script:
> 
>     $ cat ssh-backup-all.bat
>     C:\cygwin\bin\bash ./ssh-backup-all
> 
> 
> The top-level Bash shell script sets the environment up to match interactive
> login and then does it's job:
> 
>     $ cat ssh-backup-all
>     #! /bin/sh
>     . /etc/profile
>     . /home/dpchrist/.bash_profile
>     ##### do backup stuff
> 
Wouldn't it be possible to omit the first two executable lines and have 
the batch script read

c:\cygwin\bin\bash -l ./ssh-backup-all

regards
  Steve
-- 
Steve Holden        +1 571 484 6266   +1 800 494 3119
Holden Web LLC/Ltd           http://www.holdenweb.com
Skype: holdenweb      http://del.icio.us/steve.holden
--------------- Asciimercial ------------------
Get on the web: Blog, lens and tag the Internet
Many services currently offer free registration
----------- Thank You for Reading -------------

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/